Bug 616586 - Review Request: perl-MooseX-Method-Signatures - Method declarations with type constraints and no source filter
Review Request: perl-MooseX-Method-Signatures - Method declarations with type...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
http://search.cpan.org/dist/MooseX-Me...
:
Depends On: perl-Devel-Declare 615164
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-20 16:59 EDT by Iain Arnell
Modified: 2010-08-02 23:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-02 23:40:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2010-07-20 16:59:56 EDT
Spec URL: http://fedorapeople.org/~iarnell/review/perl-MooseX-Method-Signatures.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-MooseX-Method-Signatures-0.34-1.fc14.src.rpm

Description:
Provides a proper method keyword, like "sub" but specifically for making
methods and validating their arguments against Moose type constraints.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2332368

*rt-0.10_01
Comment 1 manuel wolfshant 2010-07-21 06:31:46 EDT
Is there a specific reason you've packaged version 0.34 instead of the latest (0.35) ?
Comment 2 manuel wolfshant 2010-07-21 06:43:02 EDT
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: devel
 [x] Rpmlint output:
source RPM: empty
binary RPM:empty
 [x] Package is not relocatable.
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL+ or Artistic
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided in the spec URL.
     SHA1SUM of package: 0f88c6cc41c93ac1a6f845ebeefd9861c169d223  MooseX-Method-Signatures-0.34.tar.gz
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [!] Latest version is packaged.
packaged: 0.34
latest: 0.35
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: devel, koji scratch build
 [x] Package should compile and build into binary rpms on all supported architectures.
     Tested on: noarch, perl module
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] %check is present and the tests pass.

=== OPTIONAL ===

 [x] Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package has a %clean section, which contains rm -rf $RPM_BUILD_ROOT
Comment 3 Iain Arnell 2010-07-21 06:55:44 EDT
(In reply to comment #1)
> Is there a specific reason you've packaged version 0.34 instead of the latest
> (0.35) ?    

It's because I prepared this one at the beginning of the month - 0.35 was only released last weekend. I'll update and remove the buildroot bits from the spec.
Comment 4 manuel wolfshant 2010-07-21 07:05:46 EDT
APPROVED
Comment 5 Iain Arnell 2010-07-21 07:16:19 EDT
New Package CVS Request
=======================
Package Name: perl-MooseX-Method-Signatures
Short Description: Method declarations with type constraints and no source filter
Owners: iarnell
Branches: F-12 F-13
InitialCC: perl-sig
Comment 6 Kevin Fenzi 2010-07-26 18:34:58 EDT
CVS done (by process-cvs-requests.py).
Comment 7 Iain Arnell 2010-07-26 23:51:08 EDT
Thanks for the review.

Updated, imported and built in rawhide. Waiting for perl-Devel-Declare and perl-MooseX-Meta-TypeConstraint-ForceCoercion on branches.
Comment 8 Iain Arnell 2010-08-02 23:40:39 EDT
But other deps require Moose >= 1.08, so this one's for f14+ only.

Note You need to log in before you can comment on or make changes to this bug.